<?php

/*
	This file is part of Edgar 0.2.1

	Edgar 0.2.1 is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Edgar 0.2.1 is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Edgar 0.2.1; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	This is a flexible class for sending queries and recieving results with MySQL
*/
						    

include "class.jabber.php";
include "config.php";
include "mysql.php";
include "includes.php";

$SQL = new MySQL();
$SQL->Connect(DBHOST, DBUSER, DBPASSWD, DATABASE);

$JABBER = new Jabber;
$JABBER->server		= SERVER;
$JABBER->port		= PORT;
$JABBER->username	= USERNAME;
$JABBER->password	= PASSWD;
$JABBER->resource	= "";
$JABBER->enable_logging	= BATCHLOG;
$JABBER->log_filename	= BATCHLOGFILE;

$JABBER->Connect() or die("Couldn't connect!");
sleep(5);
$JABBER->SendAuth() or die("Couldn't authenticate!");
sleep(4);
$JABBER->SendPresence("invisible", null, null,null,5);
sleep(3);

print "Starting to process registrations.<br />\n";
process_registrations();
print "Finished processing registrations.<br />\n";
sleep(20);
$JABBER->Disconnect();

?>
