<?php

/*
    This file is part of Edgar 0.2.1

    Edgar 0.2.1 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Edgar 0.2.1 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Edgar 0.2.1; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    This is a flexible class for sending queries and recieving results with MySQL
*/
						    

require ("class.jabber.php");
require ("config.php");
require ("mysql.php");
require ("includes.php");

// $about = "Edgar was originally created for the purpose of online indicators on the Psi forums (http://psi.affinix.com/forums/).  He was started by Nathan Fritz (fritzy@netflint.net) during the summer of 2003 using Class.Jabber.PHP (http://phpjabber.g-blog.net/HomePage).  Since then, Richard Houser joined in the development.

// For more information on Edgar, including how to set up an Edgar status indicator on your website, please go to http://edgar.netflint.net/";
$about = "Eduardo es el bot de presencia de JabberES.
Est basado en Edgar (http://edgar.netflint.net) y usa Class.Jabber.PHP (http://phpjabber.g-blog.net/HomePage)

Para ms informacin: http://status.jabberes.org/";

$help = array(
	'about' => 'Muestra informacin de Eduardo.',
	'visible' => 'Cambia la visibilidad de Eduardo. Off por defecto',
	'seen' => 'Uso: seen usuario@servidor

Muestra la ultima vez q estuvo online usuario@servidor',
	'time' => 'Muestra la fecha y hora GMT.',
	'remind' => 'Uso: remind [modifier] > [Reminder Message]

[modifier] can be things like "+3 hours 5 minutes", "10:24PM", "tomorrow", or even "next week. Experiment."',
	'uptime' => 'Muestra cuando se inici Eduardo por ultima vez.',
	'stats' => 'Muestra el numero de usuarios registrados y los conectados actualmente',
	'fortune' => 'Dice una frase aleatoria',
	'insult' => 'Pruebame :P'
);

$SQL = new MySQL();
$SQL->Connect(DBHOST, DBUSER, DBPASSWD, DATABASE);
$SQL->Query("UPDATE edgar_status SET avail='unavailable' WHERE avail !='unsubscribed' AND avail !='pending'");

$upsince = time();

$JABBER = new Jabber;
$JABBER->server		= SERVER;
$JABBER->port		= PORT;
$JABBER->username	= USERNAME;
$JABBER->password	= PASSWD;
$JABBER->resource	= RESOURCE;
$JABBER->enable_logging	= EDGARLOG;
$JABBER->log_filename	= EDGARLOGFILE;

$JABBER->Connect();
$JABBER->SendAuth();
//$JABBER->SendPresence("invisible", null, null, null, 5);
$JABBER->SendPresence("online", null, null, null, 5);
sleep(5);
#reset_visible();

while (1)
{
	$JABBER->CruiseControl(POLLFREQ);
	if (!($JABBER->connected))
	{
	   $JABBER->AddToLog("CHECK: Connection Dead... Reconnecting");
	   $JABBER->Disconnect();
	   sleep(20);
	   $JABBER->Connect();
	   $JABBER->SendAuth();
	   //$JABBER->SendPresence("invisible", null, null, null, 5);
	   $JABBER->SendPresence("online", null, null, null, 5);
	   sleep(5);
	   reset_visible();
	   $JABBER->SendMessage(ADMIN, null, null, array ("body" => "Reconnected."));
	}
	#Process new registrations as enabled in config
	if (NEWREG == "auto")
	   process_registrations();
	#Warning, this is completely untested, recommended you not use it
	elseif (NEWREG == "highload")
	       exec("newreg.php");
	# Note, keep this after new registrations in case of a batch load with pre-set reminders.
	reminders(POLLFREQ);
}

function Handler_presence_subscribe($message)
{
    global $JABBER;
    $from = $JABBER->StripJID($JABBER->GetInfoFromPresenceFrom($message));
    $JABBER->Subscribe($from);
    $JABBER->SubscriptionAcceptRequest($from);
}

function Handler_presence_subscribed($message)
{
    global $JABBER;
    $from = strtolower($JABBER->StripJID($JABBER->GetInfoFromPresenceFrom($message)));
$JABBER->Subscribe($from);
}


function Handler_presence_available($message)
{
	global $JABBER, $SQL;
	$from = strtolower($JABBER->StripJID($JABBER->GetInfoFromPresenceFrom($message)));
	$show = $JABBER->GetInfoFromPresenceShow($message);
	if (!$show or $show == "online")
		$show = "available";
	$status = addslashes($JABBER->GetInfoFromPresenceStatus($message));
	if ($status == "") { $status = "available"; }
	$result =$SQL->Query("SELECT avail, visible FROM edgar_status WHERE jid='$from'");
	$row=$SQL->GetNextRow($result);
	if ($row->avail == "unavailable" AND $row->visible == 1) {
		$JABBER->SendPresence(null, $from, "Hola " . $from . "!. Dime \"help\" para la lista de comandos" , null, 5);
		usleep(250000);
	}
	$SQL->Query("UPDATE edgar_status SET avail='$show', status=\"$status\", laston=\"" . time() . "\"  WHERE jid='$from'");
}

function Handler_presence_unavailable($message)
{
	global $JABBER, $SQL;
	$from = strtolower($JABBER->StripJID($JABBER->GetInfoFromPresenceFrom($message)));
	$show = $JABBER->GetInfoFromPresenceShow($message);
	if (!$show)
		$show = "unavailable";
	$status = addslashes($JABBER->GetInfoFromPresenceStatus($message));
	$SQL->Query("UPDATE edgar_status SET avail='$show', status=\"$status\", laston=\"" . time() . "\" WHERE jid='$from'");
}

function Handler_message_chat($message)
{
	respond($message);
}

function Handler_message_normal($message)
{
	respond($message);
}

function respond($message, $input = "")
{
	global $JABBER, $SQL, $upsince, $status_names, $about;
	$type = $JABBER->GetInfoFromMessageType($message);
	$from = $JABBER->GetInfoFromMessageFrom($message);
	$body = $JABBER->GetInfoFromMessageBody($message);
	$stripfrom = $JABBER->StripJID($from);
	if (!$input) $input = explode(' ', $body);
	switch (strtolower($input[0]))
	{
		case "go2sleep" :
		     if ($stripfrom == ADMIN) $JABBER->Disconnect();
		     exit;
		     break;
		case "help" :
		     $outmessage = help($input[1], $from, $type);
		     break;
		case "about" :
		     $outmessage = $about;
		     break;
		case "fortune" :
		     $outmessage = "Temporalmente deshabilitado.";
		     break;
		case "insult" :
		     $outmessage = insult();
		     break;
		case "time" :
		     $outmessage = gmdate("D M j G:i:s T Y", time());
		     break;
		case "uptime" :
		     $outmessage = "Llevo vivo desde " . gmdate("D M j G:i:s T Y", $upsince);
		     break;
		case "stats" :
		     $outmessage = user_stats();
		     break;
		case "remind" :
		     $message = preg_replace("/^remind [\w\W]{1,}>/i", "", $body);
		     $time = preg_replace("/^remind /i","", $body);
		     $time = preg_replace("/>[\w\W]{1,}/i", "", $time);
		     if (($timestamp = strtotime($time)) === -1)
			$outmessage = "\"$time\" is not a valid time modifier.\nType \"help remind\" for more information.";
		     else
		     {
			if (preg_match("/[+]/i", $time))
			$query = "INSERT INTO edgar_reminders (jid, remind_time, remind_text) " .
			       "VALUES (\"$from\", " . $timestamp . ", \"" . htmlspecialchars("$message") . "\")";
			$SQL->Query("$query");
			$outmessage = "Reminder Added.\nMessage: $message\n Time: ". gmdate("D M j G:i:s T Y", $timestamp);
		     }
		     break;
		case "visible" :
		     $result=$SQL->Query("SELECT visible FROM edgar_status WHERE jid=\"$stripfrom\"");
		     $row = $SQL->GetNextRow($result);
		     if ($row->visible == 1)
		     {
			$SQL->Query("UPDATE edgar_status SET visible=\"0\" WHERE jid=\"$stripfrom\"");
			//$JABBER->SendPresence("invisible", $stripfrom, null, null, 5);
			$JABBER->SendPresence("online", $stripfrom, null, null, 5);
	                $outmessage = "Visibilidad desactivada";
	             }
		     else
		     {
			$SQL->Query("UPDATE edgar_status SET visible=\"1\" WHERE jid=\"$stripfrom\"");
			$JABBER->SendPresence(null, $stripfrom, "Hola " . $stripfrom . "!. Dime \"help\" para la lista de comandos", null, 5);
			$outmessage = "Visibilidad activada";
		     }
		     break;	
		case "seen" :
		     if ($input[1])
		     {
			$result =$SQL->Query("SELECT avail, laston, jid, status FROM edgar_status WHERE jid=\"" . $input[1] . "\"");
			$row = $SQL->GetNextRow($result);
			if ($row->jid != $input[1])
			   $outmessage = "no conozco a: " . $input[1];
			elseif ($row->avail == "unavailable")
		           $outmessage = $input[1] . " visto por ultima vez: " . gmdate("D M j G:i:s T Y", $row->laston);
		        else
			   $outmessage = $input[1] . " es " . $status_names[$row->avail] . ": " . $row->status;
		     }
			else
			   $outmessage = help("seen", $from, $type);
		     break;
		default :
		     $outmessage = "\"" . $input[0] . "\"" . " no es un comando vlido. Prueba con \"help\".";
	}
	$JABBER->SendMessage($from, $type, null, array ("body" => "\n" . utf8_encode($outmessage)));
}

function Handler_presence_error()
{
// Eventually we're going to handle presence errors and have icons for it.  For now, this empty handler needs to stay to prevent class.jabber.php from freaking out.
}

function reset_visible()
{
	global $SQL, $JABBER;
	$result =$SQL->Query("SELECT jid FROM edgar_status WHERE visible=\"1\"");
	while ($row = $SQL->GetNextRow($result)) {
	      $JABBER->SendPresence(null, $row->jid, "Hola " . $row->jid . "!. Dime \"help\" para la lista de comandos", null, 5);
	      sleep(1);
	}
}

function help($command, $from, $type)
{
	global $help, $JABBER;
	if (!$command)
	{
		$usage = "Uso: help [comando]\nComandos:";
		foreach ($help as $key => $explain) $usage .= " $key";
	}
	elseif ($help[$command])
	        $usage = $help[$command];
	else
		$usage = "$command no est implementado";
	return utf8_encode($usage);
}

function reminders($lagtime = 0)
{
	global $SQL, $JABBER;
	$checktime = time() + $lagtime;
	$result = $SQL->Query("SELECT * FROM edgar_reminders WHERE remind_time <= " . $checktime);
	while($row = $SQL->GetNextRow($result))
	{
		$JABBER->SendMessage($row->jid, null, null, array ("body" => "Reminder For: " . gmdate("D M j G:i:s T Y", $row->remind_time) . "\nMessage: " . $row->remind_text) );
		$SQL->Query("DELETE FROM edgar_reminders WHERE id=\"" . $row->id . "\"");
	}
}
?>
