<?php

/*
    This file is part of Edgar 0.2.1

    Edgar 0.2.1 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Edgar 0.2.1 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Edgar 0.2.1; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    This is a flexible class for sending queries and recieving results with MySQL
*/


/* 

$this->Connect(host, user, pass):
* Returns MySQL Link ID
* Connects to MySQL

$this->Query(query, database, link [optional] ):
* Returns MySQL Query Results
* Directly Queries the specified database.
* If no link is specified, it uses the last one made by $this->Connect.

$this->GetRow(row_num, result [optional] ):
* Returns Object of the row row_num.
* set's $this->row to the object of row row_num.
* If no result is specified, it uses the last $this->Query result.

Example:
$SQL = new MySQL();

$link = $SQL->Connnect("localhost", "user", "pass");

$result = $SQL->Query("SELECT message FROM history limit 5", "database", $link);
for ($i = 0; $i < $SQL->num_rows; $i++)
{
	        $row = $SQL->GetRow($i, $result);
		print $row->message . "<br /><br />";
}

or you can treat it like a cursor:

$SQL = new MySQL();
$SQL->Connect("localhost", "user", "pass", "database");
$result = $SQL->Query("SELECT message FROM history limit 5", "database");
while ($row = $SQL->GetNextRow($result);
	print $row->message . "<br />\n";

*/

class MySQL
{

	var $host;
	var $user;
	var $pass;
	var $db;
	var $query;
	var $result;
	var $num_rows;
	var $linkid;
	var $error;
	var $row;

	function Connect($sql_host, $sql_user, $sql_pass, $sql_db)
	{
		$this->host = $sql_host;
		$this->user = $sql_user;
		$this->pass = $sql_pass;
		$this->db = $sql_db;
		$this->linkid = mysql_connect($this->host, $this->user, $this->pass)
			or $this->ShowErr(mysql_error(), "Connect: ");
		mysql_select_db($this->db);
		return $this->linkid;
	}

	function Query($sql_query, $link = "")
	{
		$this->query = $sql_query;
		$this->db = $sql_db;
		if (($this->linkid) AND empty($link)) $link = $this->linkid;
		if (!($this->linkid) AND empty($link)) $link = $this->Connect($this->host, $this->user, $this->pass);
		$this->result = mysql_query($this->query, $link)
			or $this->ShowErr(mysql_error(), "Query: ");
		if (preg_match("/^select /i", strtolower($this->query))) {
			$this->num_rows = mysql_num_rows($this->result);
#				or $this->ShowErr(mysql_error(), "Query: ");
		}
		return $this->result;
	}

	function GetRow($row_num, $result = "")
	{
		if (empty($result)) $result = $this->result;
		if ($rownum) {
			mysql_data_seek($result, $row_num);
#				or $this->ShowErr(mysql_error(), "GetRow: ");
		}
		$this->row = mysql_fetch_object($result);
			#or $this->ShowErr(mysql_error(), "GetRow: ");
		return $this->row;
	}

	function GetNextRow($result = "")
	{
	if (empty($result)) $result = $this->result;
	$this->row = mysql_fetch_object($result);
		return $this->row;
	}


	function ShowErr($sql_error, $what)
	{
		print "
		<center>
		<table border=1><td align=center>
		<b>MySQL Error:</b><br>
		<i>$what</i><br>
		$sql_error</td></table>
		</center>
		";
	}
}
?>
