<?php

/*
    This file is part of Edgar 0.2.1

    Edgar 0.2.1 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Edgar 0.2.1 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Edgar 0.2.1; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

# Html formatting needs a little work to deal with image size and optimal placement

$jid = $_GET['jid'];
$iconset = $_GET['iconset'];
$type = $_GET['type'];
global $utf8;
$utf8 = $_GET['utf8'];

include "config.php";
include "mysql.php";
include "includes.php";

if (!$iconset) $iconset = DEFICONSET;
if (!$type) $type = DEFTYPE;
if (!$utf8) $utf8 = 0;

$SQL = new MySQL();
$SQL->Connect(DBHOST, DBUSER, DBPASSWD, DATABASE);

if (!$jid) {
    header("Location: http://www.jabberes.org/node/view/181");
    exit;
}


if ($type == "allhtml")
{
    print status_html_start($iconset);
    $result = $SQL->Query("SELECT * FROM edgar_status WHERE avail <> 'unsubscribed' AND avail <> 'pending'");
    while ($row = $SQL->GetRow($result))
	print status_html_row($iconset, $row);
    print status_html_end($iconset);
}
else
{
  $jid = strtolower($jid);
  $result = $SQL->Query("SELECT * FROM edgar_status WHERE jid='" . addslashes($jid) . "'");
  $row = $SQL->GetNextRow($result);

  #Entry for this jid not found, proceed to queue for registration
  if (!(trim($jid) == trim(strtolower($SQL->row->jid))))
  {
	$slash_jid = addslashes(trim($jid));
	#Add entry as unsubscribed into database and re-query so unsubscribed with show properly below
	$SQL->Query("INSERT INTO edgar_status (jid, avail, status, visible, laston)
               VALUES ('$slash_jid', 'unsubscribed', null, 0, -1)");
	$result = $SQL->Query("SELECT * FROM edgar_status WHERE jid='" . addslashes($jid) . "'");
	$row = $SQL->GetNextRow($result);
  }

  if ($type == "html")
  {
	print status_html_start($iconset);
	print status_html_row($iconset, $row);
	print status_html_end($iconset);
  }
  elseif ($type == "image")
  {
	#Decide on appropriate graphic
	if($row->avail == "unsubscribed" || $row->avail == "pending")
		$file = WEBURLSERV . "/unsubscribed.gif";
	else {
		if ($iconset == "amibulb" or $iconset == "amirose" or $iconset == "simplepng") {
			//$file = WEBURLSERV . "/$iconset/" . $row->avail . ".png";
			$file =	 "/var/www/status.jabberes.org/iconsets/" . $iconset . "/" . $row->avail . ".png";
			Header("Content-type: image/png");
		}
		else {
			$file =	 "/var/www/status.jabberes.org/iconsets/" . $iconset . "/" . $row->avail . ".gif";
			//$file =	 WEBURLSERV . "/$iconset/" . $row->avail . ".gif";
			Header("Content-type: image/gif");
		}
	}
	$lines = fread(fopen($file, "r"), filesize($file)); 
	// $lines = include($file);
	print $lines;
  }
  elseif ($type == "text")
  {
        global $utf8;
        if ($utf8) {
          Header("Content-type: text/plain; charset=utf-8");
	  print $status_names[$row->avail] . ": " . $row->status;
	} else {
	  print utf8_decode($status_names[$row->avail] . ": " . $row->status);
	}
  }
  else
  {
	print "Invalid type, please double-check syntax and try again.";
  }
}

function status_html_start($iconset)
{
    global $utf8;
    if ($utf8) {
      Header("Content-type: text/html; charset=utf-8");
    }
    return "<!-- servicio de estado de JabberEs - http://status.jabberes.org -->\n<table class=\"edgartable\">\n";
}

function status_html_row($iconset, $row)
{
    #Decide on appropriate graphic
    if($row->avail == "unsubscribed" || $row->avail == "pending")
         $file = WEBURL . "/unsubscribed.gif";
    else {
    	if ($iconset == "amibulb" or $iconset == "amirose" or $iconset == "simplepng") {
         $file = WEBURL . "/$iconset/" . $row->avail . ".png";
       } else {
         $file = WEBURL . "/$iconset/" . $row->avail . ".gif";
       }
    }

    $mistatus = $row->status;
    $mijid = $row->jid;
    global $utf8;
    if (!$utf8) {
       $mijid = utf8_decode($mijid);
       $mistatus = utf8_decode($mistatus);
    }
      
    return " <tr class=\"edgartr\">\n" .
           "  <td class=\"edgartdjid\"><b>$mijid</b></td>\n" .
           "  <td class=\"edgartdimage\"><img src=\"$file\"></td>\n" .
           " </tr>\n" .
           " <tr class=\"edgartr\">\n" .
           "  <td class=\"edgartdstatus\" colspan=\"2\">" . $mistatus . "</td>\n" .
           " </tr>\n";
}

function status_html_end($iconset)
{
    return "</table>\n";
}

?>
